Bug 22576 - OPAC password change text changes
Summary: OPAC password change text changes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Liz Rea
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-25 17:44 UTC by Liz Rea
Modified: 2019-04-26 12:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22576: OPAC password text refresh (2.56 KB, patch)
2019-03-25 17:49 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22576: OPAC password text refresh (2.63 KB, patch)
2019-04-05 21:58 UTC, Marie-Luce Laflamme
Details | Diff | Splinter Review
Bug 22576: OPAC password text refresh (2.68 KB, patch)
2019-04-06 10:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-03-25 17:44:32 UTC
A borrower changing their password from the logged in password change functionality might see some awkward text messages, specifically: 

- "Return to your record" after changing the password, I propose "Return to my account" (since that's what the borrower probably wants to do).
- "Submit changes" to change the password should be "Change password" just to be really clear about what is going to happen when the button is clicked.
Comment 1 Liz Rea 2019-03-25 17:49:57 UTC
Created attachment 86987 [details] [review]
Bug 22576: OPAC password text refresh

To test:

Create a patron with a username and password
Make sure that password resets on OPAC are allowed in your system
preferences (OpacPasswordChange -> Allow)
Log into the OPAC with this patron
Click the "Change password" tab
Change the password - notice that the button to submit the changes says
"Submit Changes" and also that the success page says "Return to my
record"
Apply this patch
Reset the password again, noticing that the button to submit the new
password says "Change password" and the success page says "Return to my
account"
Comment 2 Marie-Luce Laflamme 2019-04-05 21:58:00 UTC
Created attachment 87465 [details] [review]
Bug 22576: OPAC password text refresh

To test:

Create a patron with a username and password
Make sure that password resets on OPAC are allowed in your system
preferences (OpacPasswordChange -> Allow)
Log into the OPAC with this patron
Click the "Change password" tab
Change the password - notice that the button to submit the changes says
"Submit Changes" and also that the success page says "Return to my
record"
Apply this patch
Reset the password again, noticing that the button to submit the new
password says "Change password" and the success page says "Return to my
account"

Signed-off-by: Marie-Luce Laflamme <marie-luce.laflamme@inlibro.com>
Comment 3 Katrin Fischer 2019-04-06 10:41:49 UTC
Created attachment 87470 [details] [review]
Bug 22576: OPAC password text refresh

To test:

Create a patron with a username and password
Make sure that password resets on OPAC are allowed in your system
preferences (OpacPasswordChange -> Allow)
Log into the OPAC with this patron
Click the "Change password" tab
Change the password - notice that the button to submit the changes says
"Submit Changes" and also that the success page says "Return to my
record"
Apply this patch
Reset the password again, noticing that the button to submit the new
password says "Change password" and the success page says "Return to my
account"

Signed-off-by: Marie-Luce Laflamme <marie-luce.laflamme@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-17 12:28:52 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 12:02:50 UTC
Enhancement will not be backported to 18.11.x series.